All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Duplicate Channel
Data Exchange and Initialization

Functions for duplicating a single channel image in a multiple channel image. More...

## Functions

NppStatus | nppiDup_8u_C1C3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, NppStreamContext nppStreamCtx)
| 1 channel 8-bit unsigned integer source image duplicated in all 3 channels of destination image. More...
NppStatus | nppiDup_8u_C1C3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI)
NppStatus | nppiDup_8u_C1C4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, NppStreamContext nppStreamCtx)
| 1 channel 8-bit unsigned integer source image duplicated in all 4 channels of destination image. More...
NppStatus | nppiDup_8u_C1C4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI)
NppStatus | nppiDup_8u_C1AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, NppStreamContext nppStreamCtx)
| 1 channel 8-bit unsigned integer source image duplicated in 3 channels of 4 channel destination image with alpha channel unaffected. More...
NppStatus | nppiDup_8u_C1AC4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI)
NppStatus | nppiDup_16u_C1C3R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, NppStreamContext nppStreamCtx)
| 1 channel 16-bit unsigned integer source image duplicated in all 3 channels of destination image. More...
NppStatus | nppiDup_16u_C1C3R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI)
NppStatus | nppiDup_16u_C1C4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, NppStreamContext nppStreamCtx)
| 1 channel 16-bit unsigned integer source image duplicated in all 4 channels of destination image. More...
NppStatus | nppiDup_16u_C1C4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI)
NppStatus | nppiDup_16u_C1AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, NppStreamContext nppStreamCtx)
| 1 channel 16-bit unsigned integer source image duplicated in 3 channels of 4 channel destination image with alpha channel unaffected. More...
NppStatus | nppiDup_16u_C1AC4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI)
NppStatus | nppiDup_16s_C1C3R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, NppStreamContext nppStreamCtx)
| 1 channel 16-bit signed integer source image duplicated in all 3 channels of destination image. More...
NppStatus | nppiDup_16s_C1C3R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI)
NppStatus | nppiDup_16s_C1C4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, NppStreamContext nppStreamCtx)
| 1 channel 16-bit signed integer source image duplicated in all 4 channels of destination image. More...
NppStatus | nppiDup_16s_C1C4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI)
NppStatus | nppiDup_16s_C1AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, NppStreamContext nppStreamCtx)
| 1 channel 16-bit signed integer source image duplicated in 3 channels of 4 channel destination image with alpha channel unaffected. More...
NppStatus | nppiDup_16s_C1AC4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI)
NppStatus | nppiDup_32s_C1C3R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, NppStreamContext nppStreamCtx)
| 1 channel 32-bit signed integer source image duplicated in all 3 channels of destination image. More...
NppStatus | nppiDup_32s_C1C3R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI)
NppStatus | nppiDup_32s_C1C4R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, NppStreamContext nppStreamCtx)
| 1 channel 32-bit signed integer source image duplicated in all 4 channels of destination image. More...
NppStatus | nppiDup_32s_C1C4R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI)
NppStatus | nppiDup_32s_C1AC4R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, NppStreamContext nppStreamCtx)
| 1 channel 32-bit signed integer source image duplicated in 3 channels of 4 channel destination image with alpha channel unaffected. More...
NppStatus | nppiDup_32s_C1AC4R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI)
NppStatus | nppiDup_32f_C1C3R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, NppStreamContext nppStreamCtx)
| 1 channel 32-bit floating point source image duplicated in all 3 channels of destination image. More...
NppStatus | nppiDup_32f_C1C3R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI)
NppStatus | nppiDup_32f_C1C4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, NppStreamContext nppStreamCtx)
| 1 channel 32-bit floating point source image duplicated in all 4 channels of destination image. More...
NppStatus | nppiDup_32f_C1C4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI)
NppStatus | nppiDup_32f_C1AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, NppStreamContext nppStreamCtx)
| 1 channel 32-bit floating point source image duplicated in 3 channels of 4 channel destination image with alpha channel unaffected. More...
NppStatus | nppiDup_32f_C1AC4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI)

## Detailed Description

Functions for duplicating a single channel image in a multiple channel image.

### Common parameters for nppiDup functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oDstSizeROI | Size (width, height) of the destination region, i.e. the region that gets filled with data from the source image, source image ROI is assumed to be same as destination image ROI.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiDup_16s_C1AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI
| ) |  |

NppStatus nppiDup_16s_C1AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit signed integer source image duplicated in 3 channels of 4 channel destination image with alpha channel unaffected.

For common parameter descriptions, see Common parameters for nppiDup functions.

NppStatus nppiDup_16s_C1C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI
| ) |  |

NppStatus nppiDup_16s_C1C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit signed integer source image duplicated in all 3 channels of destination image.

For common parameter descriptions, see Common parameters for nppiDup functions.

NppStatus nppiDup_16s_C1C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI
| ) |  |

NppStatus nppiDup_16s_C1C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit signed integer source image duplicated in all 4 channels of destination image.

For common parameter descriptions, see Common parameters for nppiDup functions.

NppStatus nppiDup_16u_C1AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI
| ) |  |

NppStatus nppiDup_16u_C1AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit unsigned integer source image duplicated in 3 channels of 4 channel destination image with alpha channel unaffected.

For common parameter descriptions, see Common parameters for nppiDup functions.

NppStatus nppiDup_16u_C1C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI
| ) |  |

NppStatus nppiDup_16u_C1C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit unsigned integer source image duplicated in all 3 channels of destination image.

For common parameter descriptions, see Common parameters for nppiDup functions.

NppStatus nppiDup_16u_C1C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI
| ) |  |

NppStatus nppiDup_16u_C1C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit unsigned integer source image duplicated in all 4 channels of destination image.

For common parameter descriptions, see Common parameters for nppiDup functions.

NppStatus nppiDup_32f_C1AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI
| ) |  |

NppStatus nppiDup_32f_C1AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit floating point source image duplicated in 3 channels of 4 channel destination image with alpha channel unaffected.

For common parameter descriptions, see Common parameters for nppiDup functions.

NppStatus nppiDup_32f_C1C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI
| ) |  |

NppStatus nppiDup_32f_C1C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit floating point source image duplicated in all 3 channels of destination image.

For common parameter descriptions, see Common parameters for nppiDup functions.

NppStatus nppiDup_32f_C1C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI
| ) |  |

NppStatus nppiDup_32f_C1C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit floating point source image duplicated in all 4 channels of destination image.

For common parameter descriptions, see Common parameters for nppiDup functions.

NppStatus nppiDup_32s_C1AC4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI
| ) |  |

NppStatus nppiDup_32s_C1AC4R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit signed integer source image duplicated in 3 channels of 4 channel destination image with alpha channel unaffected.

For common parameter descriptions, see Common parameters for nppiDup functions.

NppStatus nppiDup_32s_C1C3R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI
| ) |  |

NppStatus nppiDup_32s_C1C3R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit signed integer source image duplicated in all 3 channels of destination image.

For common parameter descriptions, see Common parameters for nppiDup functions.

NppStatus nppiDup_32s_C1C4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI
| ) |  |

NppStatus nppiDup_32s_C1C4R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit signed integer source image duplicated in all 4 channels of destination image.

For common parameter descriptions, see Common parameters for nppiDup functions.

NppStatus nppiDup_8u_C1AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI
| ) |  |

NppStatus nppiDup_8u_C1AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit unsigned integer source image duplicated in 3 channels of 4 channel destination image with alpha channel unaffected.

For common parameter descriptions, see Common parameters for nppiDup functions.

NppStatus nppiDup_8u_C1C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI
| ) |  |

NppStatus nppiDup_8u_C1C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit unsigned integer source image duplicated in all 3 channels of destination image.

For common parameter descriptions, see Common parameters for nppiDup functions.

NppStatus nppiDup_8u_C1C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI
| ) |  |

NppStatus nppiDup_8u_C1C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit unsigned integer source image duplicated in all 4 channels of destination image.

For common parameter descriptions, see Common parameters for nppiDup functions.

Copyright © 2009-2019 NVIDIA Corporation